﻿using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using XF.Domain.Repository;

namespace Hotline.Orders
{
	public class OrderSpecialDetail : FullStateEntity
	{
		/// <summary>
		/// 特提Id
		/// </summary>
		public string SpecialId { get; set; }
		public string OrgId { get; set; }

		public string OrgName { get; set; }

		public string ErrorId { get; set; }

		public string ErrorName { get; set; }

		[Navigate(NavigateType.ManyToOne, nameof(SpecialId))]
		public OrderSpecial OrderSpecial { get; set; }
	}
}
